当前位置:安全资讯 >> 全文

全球过半互联网邮件服务器受严重漏洞影响

发布时间:2018-3-7 7:54 标签: 邮件服务器,漏洞
分享到 0

几十万台邮件服务器遭一个严重漏洞影响。虽然修复方案已发布,但该缺陷影响过半互联网邮件服务器,因此修复该问题至少要耗费数周甚至数月的时间。

该漏洞存在于邮件传输代理 (MTA) Exim 中,该软件运行在邮件服务器上,负责把邮件从发件人中继给收件人。

根据20173月发布的一项调查显示,56%的互联网服务器运行 Exim,当时网上的邮件服务器超过56万台。最近发布的报告将这个数字增加到数百万台。

漏洞可导致远程代码执行

发现这个漏洞的台湾研究员 Meh Chang 22日将问题告知 Exim 团队。该团队在210日发布的4.90.1版本中修复了这个远程代码执行漏洞。

该漏洞的编号是 CVE-2018-6789,它被归类为一个“预验证远程代码执行”漏洞,意思是攻击者可诱骗 Exim 邮件服务器在攻击者需要在服务器上验证之前运行恶意代码。

这个漏洞是一个字节缓冲溢出漏洞,存在于 Exim 的六十四进制的解码功能中,而且影响所有已发布的 Exim 版本。

Chang 在博客文章中详细说明了利用 Exim SMTP 守护进程的基础步骤

PoC 或利用代码未公开

Exim 团队在一份安全公告中公开证实该问题存在。该团队表示,“目前我们尚不确定漏洞的严重程度,我们‘认为’漏洞难以遭利用。目前尚不存在缓解措施。”

自从 Exim 4.90.1 发布以来,更新版本就发布为主要用于数据中心的 Linux 发行版本,但网上未修复系统的数量仍然是个问题。鉴于 Exim 是目前世界上最流行的邮件代理,CVE-2018-6789 打开了一个巨大的攻击面,而 Exim 服务器所有人应该尽快部署 Exim 4.90.1 更新版本。

在本文成稿时,虽然并不存在利用易受攻击的 Exim 服务器的公开利用代码,但 Chang 发表博客文章后,这种情况可能发生变化。

Chang 在去年还发现了其它两个 Exim 可导致远程代码执行问题的漏洞。这些漏洞已在 Exim 4.90 中予以修复。

本文由360代码卫士编译,不代表360观点,转载请注明“转自360代码卫士www.codesafe.cn”。
原文链接:https://www.bleepingcomputer.com/news/security/vulnerability-affects-half-of-the-internets-email-servers/
参与讨论,请先 登录 | 注册

用户评论